classification
Title: pdb should hash stdout
Type: enhancement Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: gpolo, tebeka
Priority: low Keywords: easy

Created on 2004-03-02 14:20 by tebeka, last changed 2008-02-07 07:47 by rhettinger. This issue is now closed.

Files
File name Uploaded Description Edit
t.py tebeka, 2008-02-07 05:23 test file
Messages (3)
msg60472 - (view) Author: Miki Tebeka (tebeka) * Date: 2004-03-02 14:20
pdb should store a local copy of stdout and use it.

The problem:
I've used pdb with a script that uses fileinput.input
with inplace=1
stdout is redirected and I can't see the pdb prompt
(which is directory to the output file).

Miki
msg62123 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-02-06 19:54
Isn't this fixed on trunk already ? Shouldn't this be marked as closed ?
msg62135 - (view) Author: Miki Tebeka (tebeka) * Date: 2008-02-07 05:23
Looks closed to me, tried `./t.py t.py`, it worked
History
Date User Action Args
2008-02-07 07:47:16rhettingersetstatus: open -> closed
2008-02-07 05:23:09tebekasetfiles: + t.py
messages: + msg62135
2008-02-06 19:54:38gpolosetnosy: + gpolo
messages: + msg62123
2008-01-20 19:10:10christian.heimessetpriority: normal -> low
keywords: + easy
type: enhancement
versions: + Python 2.6, - Python 2.3
2004-03-02 14:20:28tebekacreate